package com.zhongshu.card.server.core.dao.payment.extend;

import com.zhongshu.card.server.core.domain.payment.Complex;
import org.bson.Document;

import java.util.List;

public interface ComplexDaoExtend {

    Complex findByAccesser_user_id(String epId);

    Complex findByAccesser_user_idAndEpId(String accesseId, String epId);


    void deleteByAccesser_user_id(String epId);

    List<Complex> findAllFinish(String epId);


    List<Document> findAllFinish();

    List<Complex> findCommit();

}
